#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		pnum		3
%define		__python	/usr/bin/python%{pnum}
#-----------------------------------------------------------------------------
Name		:	bleachbit
Version		:	4.4.2
Release		:	14.4.0.0%{?dist}
Summary		:	Remove unnecessary files, free space, and maintain privacy
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://github.com/bleachbit/bleachbit/releases

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gettext
BuildRequires	:	%{__python}
BuildRequires	:	python%{pnum}-setuptools

BuildArch	:	noarch

Requires(post)	:	%{_bindir}/update-desktop-database

#-----------------------------------------------------------------------------
%description
Delete traces of your activities and other junk files to free disk
space and maintain privacy.  BleachBit identifies and erases
broken menu entries, cache, cookies, localizations, recent document
lists, and temporary files in Firefox, Google Chrome, Flash, and 60
other applications.

Shred files to prevent recovery, and wipe free disk space to
hide previously deleted files.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/__pycache__/*.pyc
%{_datadir}/%{name}/markovify/*.py
%{_datadir}/%{name}/markovify/__pycache__/*.pyc
%{_datadir}/%{name}/cleaners/*.xml
%{_datadir}/%{name}/app-menu.ui
%{_datadir}/applications/org.%{name}.*.desktop
%{_datadir}/metainfo/org.%{name}.*.metainfo.xml
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/polkit-1/actions/org.%{name}.policy

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/update-desktop-database &> /dev/null
  fi

#-----------------------------------------------------------------------------
%post
%{_bindir}/update-desktop-database &> /dev/null


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	prefix=%{_prefix}					\
	DESTDIR=%{buildroot}					\
	install


#-----------------------------------------------------------------------------
%changelog
